RK-A2 - Feature #3703

Tweak grade, subject line
08/02/2024 02:34 AM - Ram Kordale

Status: Closed Start date: 08/02/2024
Priority: High Due date:

Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 3.00 hours
Target version: Spent time: 0.00 hour
Description

Please replace "Please select grade and subject dd dd" (where dd is <dropdown>) with "dd dd dd dd dd dd" where dd is a drop down
for Board, Grade, Subject, Chapter, Exercise, Question respectively.

Lets abbreviate Mathematics to Math.

Make the default labels as "CBSE - Board", "6 - Grade", "Math", "1 - Chapter", "1.1 - Exercise", "1 - Question". If the user has
changed these or gone through some questions, these values will need to change accordingly.

We don't need to make the drop down wide enough to show the entire text. We can roughly make it wide enough to show "CBSE",
"xx - Gr", "Math", "xx - Chap", "xx.xx - Ex", "xx - Ques". We may tweak this a little based on how it looks.

Additional Features:

1. Replace current dropdown container with a dashboard showing current values of Board, Grade, Subject, Chapter, Exercise,
Question.

2. Make the dashboard responsive for tablets and mobile devices.

3. Add a 'Change’ button to expand the dashboard to show a Preference container containing all the dropdowns.

4. Make the Preference container responsive for tablet and mobile devices.

5. Parse the questions_list and map separate question list belonging to each exercise.

6. Update options for exercise and question dropdown according to current selected values.

7. Set next incoming question according to selected values from dropdown.

History

#1 - 08/02/2024 05:12 AM - Ram Kordale
- Assignee set to Shubham Boke

- Estimated time set to 1.00 h

#2 - 08/07/2024 12:24 PM - Shubham Boke

- Description updated

#3 - 08/07/2024 12:39 PM - Ram Kordale
- Estimated time changed from 1.00 h to 2.30 h

#4 - 08/07/2024 01:15 PM - Ram Kordale
- Estimated time changed from 2.30 h to 3.00 h

Since the design was changed after more than half the work was finished with the initial set of requirements, | have bumped up the estimated time to
3.

#5 - 08/08/2024 06:41 AM - Shubham Boke
- Status changed from New to In Progress

- % Done changed from 0 to 100

#6 - 08/08/2024 06:41 AM - Shubham Boke

- Status changed from In Progress to Resolved

#7 - 08/08/2024 06:42 AM - Shubham Boke

- Status changed from Resolved to Review
- Assignee changed from Shubham Boke to Dewakar Chaubey

#8 - 09/06/2024 01:41 PM - Dewakar Chaubey

- Assignee changed from Dewakar Chaubey to Ayanava Karmakar

#9 - 09/10/2024 06:25 AM - Dewakar Chaubey
- Status changed from Review to Reopened

- Assignee changed from Ayanava Karmakar to Shubham Boke

Provide more comments and refactor the code.

#10 - 09/10/2024 09:48 AM - Shubham Boke

- Status changed from Reopened to In Progress

#11 - 09/10/2024 09:48 AM - Shubham Boke

- Status changed from In Progress to Resolved

#12 - 09/10/2024 09:48 AM - Shubham Boke
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Dewakar Chaubey

#13 - 09/10/2024 11:03 AM - Dewakar Chaubey
- Status changed from Review to Reopened

- Assignee changed from Dewakar Chaubey to Shubham Boke

Code is not refactored

#14 - 09/10/2024 01:35 PM - Shubham Boke

- Status changed from Reopened to In Progress

#15 - 09/10/2024 01:35 PM - Shubham Boke

- Status changed from In Progress to Resolved

#16 - 09/10/2024 01:35 PM - Shubham Boke
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Dewakar Chaubey

#17 - 09/13/2024 11:47 AM - Dewakar Chaubey
- Status changed from Review to Feedback

- Assignee changed from Dewakar Chaubey to Ram Kordale

#18 - 09/25/2024 07:13 AM - Ram Kordale
- Status changed from Feedback to Closed
